import { CustomValidatorFn, ValidatorResponse } from '../types/types';
export interface AnjunaFormControl {
    checkValidity: () => Promise<boolean>;
    invalid: boolean;
    value: any;
}
export declare class NativeValidationStrategy {
    onTouched(element: AnjunaFormControl): Promise<boolean>;
    onValidChange(element: AnjunaFormControl, nativeInput: HTMLInputElement, customValidators?: CustomValidatorFn[]): Promise<boolean>;
    /**
     * Check custom validity
     */
    checkCustomValidity(validators: CustomValidatorFn[], value: any): Promise<ValidatorResponse>;
}
